Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt

Use this file to discover all available pages before exploring further.

$2.7 / 1k products Get Amazon bestseller products from category URLs, with rankings, ratings, and prices

Endpoint

POST /api/v1/agents/amazon/bestsellers/run

Parameters

urls
array
required
List · List of Amazon bestseller category URLs (must contain /zgbs/ or /bestsellers/). One per line.
maxResults
integer
default:100
Number · Products per category. Use 0 for all.

Response columns

FieldDisplay nameType
bestsellerUrlBestseller URLurl
productUrlProduct URLurl
titleTitletext
imageImageurl
rankRanknumber
pricePricecurrency
currencyCurrencytext
ratingRatingrating
reviewsReviewsnumber
categoryCategorytext
categoryFullCategory Fulltext
categoryUrlCategory URLurl
subcategorySubcategorytext
subcategoryUrlSubcategory URLurl
asinASINtext

Example

curl -X POST https://api.mindcase.co/api/v1/agents/amazon/bestsellers/run \
  -H "Authorization: Bearer mk_live_abc123def456" \
  -H "Content-Type: application/json" \
  -d '{
  "params": {
    "urls": [
      "https://www.amazon.com/Best-Sellers-Electronics/zgbs/electronics/"
    ],
    "maxResults": 100,
    "depthOfCrawl": 1
  }
}'

Example response

Response
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "bestsellerUrl": "https://www.amazon.com/Best-Sellers-Electronics/zgbs/electronics/",
      "productUrl": "https://www.amazon.com/dp/B08JHCVHTY",
      "title": "blink plus plan with monthly auto-renewal",
      "image": "https://images-na.ssl-images-amazon.com/images/I/31YHGbJsldL._AC_UL300_SR300,200_.png",
      "rank": 1,
      "price": 11.99,
      "currency": "$",
      "rating": 4.4,
      "reviews": 275148,
      "category": "Electronics",
      "categoryFull": "Best Sellers in Electronics",
      "categoryUrl": "https://www.amazon.com/Best-Sellers-Electronics/zgbs/electronics/",
      "subcategory": null,
      "subcategoryUrl": null,
      "asin": "B08JHCVHTY"
    }
  ]
}